Groundeddocs
ReferenceNotifications

Mark one of the caller's notifications read or unread

PATCH/v1/notifications/{notificationId}

Path Parameters

notificationId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/notifications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "read": true  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "team.invited",    "title": "string",    "body": "string",    "link": "/teams/registrar/domains",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "read": true,    "readAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }}